## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%{?!with_python2:     %global with_python2     0}
%{?!with_python3:     %global with_python3     1}
%{?!with_munin:       %global with_munin       1}
%bcond_without dnstap
%bcond_with    systemd
%bcond_without doh
%bcond_with redis

%global _hardened_build 1

#%%global extra_version rc1

%if 0%{with_python2}
%global python_primary %{__python2}
%endif

%if 0%{with_python3}
%global python_primary %{__python3}
%endif

%if 0%{?rhel}
%global with_munin   0

%if 0%{?rhel} <= 7
%global with_python3 0
%else
%global with_python2 0
%endif
%endif

Summary: Validating, recursive, and caching DNS(SEC) resolver
Name: unbound
Version: 1.18.0
Release: 3%{?extra_version:.%{extra_version}}%{?dist}
License: BSD-3-Clause
Url: https://nlnetlabs.nl/projects/unbound/
Source: https://nlnetlabs.nl/downloads/%{name}/%{name}-%{version}%{?extra_version}.tar.gz
Source1: unbound.service
Source2: unbound.conf
Source3: unbound.munin
Source4: unbound_munin_
Source5: root.key
Source7: unbound-keygen.service
Source8: tmpfiles-unbound.conf
Source9: example.com.key
Source10: example.com.conf
Source11: block-example.com.conf
Source12: https://data.iana.org/root-anchors/icannbundle.pem
Source13: root.anchor
Source14: unbound.sysconfig
Source15: unbound-anchor.timer
Source16: unbound-munin.README
Source17: unbound-anchor.service
Source18: https://nlnetlabs.nl/downloads/%{name}/%{name}-%{version}%{?extra_version}.tar.gz.asc
# source: https://nlnetlabs.nl/people/
Source19: https://keys.openpgp.org/pks/lookup?op=get&search=0x9F6F1C2D7E045F8D#/wouter.nlnetlabs.nl.key
Source20: unbound.sysusers

# https://github.com/NLnetLabs/unbound/issues/946
Patch1: unbound-1.18-outlook.patch

BuildRequires: gcc, make
BuildRequires: flex, openssl-devel
BuildRequires: libevent-devel expat-devel
BuildRequires: pkgconfig
%if 0%{?fedora}
BuildRequires: gnupg2
%endif
%if 0%{with_python2}
BuildRequires: python2-devel swig
%endif
%if 0%{with_python3}
BuildRequires: python3-devel swig
%endif
%if %{with dnstap}
BuildRequires: fstrm-devel protobuf-c-devel
%endif
%if %{with systemd}
BuildRequires: systemd-devel
%endif
%if %{with doh}
BuildRequires: libnghttp2-devel
%endif
%if %{with redis}
BuildRequires: hiredis-devel
%endif
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 9
BuildRequires: systemd-rpm-macros
%else
BuildRequires: systemd
%endif
# Required for SVN versions
# BuildRequires: bison
# BuildRequires: automake autoconf libtool

# Needed because /usr/sbin/unbound links unbound libs staticly
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: %{name}-anchor%{?_isa} = %{version}-%{release}
Recommends: %{name}-utils%{?_isa} = %{version}-%{release}
# unbound-keygen.service requires it, bug #2116790
Requires: openssl

%description
Unbound is a validating, recursive, and caching DNS(SEC) resolver.

The C implementation of Unbound is developed and maintained by NLnet
Labs. It is based on ideas and algorithms taken from a java prototype
developed by Verisign labs, Nominet, Kirei and ep.net.

Unbound is designed as a set of modular components, so that also
DNSSEC (secure DNS) validation and stub-resolvers (that do not run
as a server, but are linked into an application) are easily possible.

%if %{with_munin}
%package munin
Summary: Plugin for the munin / munin-node monitoring package
Requires: munin-node
Requires: %{name} = %{version}-%{release}, bc
BuildArch: noarch

%description munin
Plugin for the munin / munin-node monitoring package
%endif

%package devel
Summary: Development package that includes the unbound header files
Requires: %{name}-libs%{?_isa} = %{version}-%{release}, openssl-devel
Requires: pkgconfig

%description devel
The devel package contains the unbound library and the include files

%package libs
Summary: Libraries used by the unbound server and client applications
Recommends: %{name}-anchor
%{?sysusers_requires_compat}
%if ! 0%{with_python2}
# Make explicit conflict with no longer provided python package
Obsoletes: python2-unbound < 1.9.3
%endif

%description libs
Contains libraries used by the unbound server and client applications.

%package anchor
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Summary: DNSSEC trust anchor maintaining tool

%description anchor
Contains tool maintaining trust anchor using RFC 5011 key rollover algorithm.

%package utils
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Summary: Unbound DNS lookup utilities

%description utils
Contains tools for making DNS queries. Can make queries to DNS servers
also over TLS connection or validate DNSSEC signatures. Similar to
bind-utils.

%if 0%{with_python2}
%package -n python2-unbound
%{?python_provide:%python_provide python2-unbound}
Summary: Python 2 modules and extensions for unbound
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Provides: unbound-python = %{version}-%{release}
Obsoletes: unbound-python < %{version}-%{release}

%description -n python2-unbound
Python 2 modules and extensions for unbound
%endif

%if 0%{with_python3}
%package -n python3-unbound
Summary: Python 3 modules and extensions for unbound
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%if ! 0%{with_python2}
# Make explicit conflict with no longer provided python package
Conflicts: python2-unbound < 1.9.3
%endif

%description -n python3-unbound
Python 3 modules and extensions for unbound
%endif


%prep
%if 0%{?fedora}
%{gpgverify} --keyring='%{SOURCE19}' --signature='%{SOURCE18}' --data='%{SOURCE0}'
%endif
%global pkgname %{name}-%{version}%{?extra_version}

%if 0%{with_python2} && 0%{with_python3}
%global dir_primary %{pkgname}_python3
%global python_primary %{__python3}
%global dir_secondary %{pkgname}_python2
%global python_secondary %{__python2}
%else
%global dir_primary %{pkgname}
%endif

%autosetup -c -N -n %{pkgname}

pushd %{pkgname}
# patches go here
%autopatch -p1

# only for snapshots
# autoreconf -iv

# copy common doc files - after here, since it may be patched
cp -pr doc pythonmod libunbound ../

%if 0%{?rhel} > 8
  # SHA-1 breaks some tests. Disable just some tests because of that.
  # This got broken in ELN
  ls testdata/*.rpl
  for TEST in autotrust_init_fail autotrust_init_failsig; do
    mv testdata/${TEST}.rpl{,-disabled} 
  done
%endif
popd

%if 0%{with_python2} && 0%{with_python3}
mv %{pkgname} %{dir_primary}
cp -a %{dir_primary} %{dir_secondary}
%endif

%build
# This is needed to rebuild the configure script to support Python 3.x
# autoreconf -iv

# ./configure script common arguments
%global configure_args --with-libevent --with-pthreads --with-ssl \\\
            --disable-rpath --disable-static \\\
            --enable-relro-now --enable-pie \\\
            --enable-subnet --enable-ipsecmod \\\
            --with-conf-file=%{_sysconfdir}/%{name}/unbound.conf \\\
            --with-pidfile=%{_rundir}/%{name}/%{name}.pid \\\
            --enable-sha2 --disable-gost --enable-ecdsa \\\
            --with-rootkey-file=%{_sharedstatedir}/unbound/root.key \\\
            --enable-linux-ip-local-port-range \\\


pushd %{dir_primary}

%configure  \
%if 0%{?python_primary:1}
            --with-pythonmodule --with-pyunbound PYTHON=%{python_primary} \
%endif
%if %{with dnstap}
            --enable-dnstap \
%endif
%if %{with systemd}
            --enable-systemd \
%endif
%if %{with doh}
            --with-libnghttp2 \
%endif
%if 0%{?rhel}
            --disable-sha1 \
%endif
%if %{with redis}
            --with-libhiredis \
            --enable-cachedb \
%endif
            %{configure_args}

%make_build
%make_build streamtcp

popd

%if 0%{?python_secondary:1}
pushd %{dir_secondary}
%configure  \
            --with-pythonmodule --with-pyunbound PYTHON=%{python_secondary} \
%if %{with dnstap}
            --enable-dnstap \
%endif
%if %{with systemd}
            --enable-systemd \
%endif
            %{configure_args}

%make_build
popd
%endif


%install
install -p -m 0644 %{SOURCE16} .

%if 0%{?python_secondary:1}
# install first secondary build. It will be overwritten by primary
pushd %{dir_secondary}
%make_install unbound-event-install
popd
%endif

pushd %{dir_primary}
%make_install unbound-event-install
install -m 0755 streamtcp %{buildroot}%{_sbindir}/unbound-streamtcp
popd

install -d -m 0755 %{buildroot}%{_unitdir} %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/unbound.service
install -p -m 0644 %{SOURCE7} %{buildroot}%{_unitdir}/unbound-keygen.service
install -p -m 0644 %{SOURCE15} %{buildroot}%{_unitdir}/unbound-anchor.timer
install -p -m 0644 %{SOURCE17} %{buildroot}%{_unitdir}/unbound-anchor.service
install -p -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/unbound
install -p -m 0644 %{SOURCE12} %{buildroot}%{_sysconfdir}/unbound
install -p -m 0644 %{SOURCE14} %{buildroot}%{_sysconfdir}/sysconfig/unbound
install -p -D -m 0644 %{SOURCE20} %{buildroot}%{_sysusersdir}/%{name}.sysusers
%if %{with_munin}
# Install munin plugin and its softlinks
install -d -m 0755 %{buildroot}%{_sysconfdir}/munin/plugin-conf.d
install -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/munin/plugin-conf.d/unbound
install -d -m 0755 %{buildroot}%{_datadir}/munin/plugins/
install -p -m 0755 %{SOURCE4} %{buildroot}%{_datadir}/munin/plugins/unbound
for plugin in unbound_munin_hits unbound_munin_queue unbound_munin_memory unbound_munin_by_type unbound_munin_by_class unbound_munin_by_opcode unbound_munin_by_rcode unbound_munin_by_flags unbound_munin_histogram; do
    ln -s unbound %{buildroot}%{_datadir}/munin/plugins/$plugin
done
%endif

pushd %{dir_primary}
# install streamtcp man page
install -m 0644 testcode/streamtcp.1 %{buildroot}/%{_mandir}/man1/unbound-streamtcp.1
install -D -m 0644 contrib/libunbound.pc %{buildroot}/%{_libdir}/pkgconfig/libunbound.pc
popd

# Install tmpfiles.d config
install -d -m 0755 %{buildroot}%{_tmpfilesdir} %{buildroot}%{_sharedstatedir}/unbound
install -m 0644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/unbound.conf

# install root - we keep a copy of the root key in old location,
# in case user has changed the configuration and we wouldn't update it there
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/unbound/
install -m 0644 %{SOURCE13} %{buildroot}%{_sysconfdir}/unbound/dnssec-root.key
# make initial key static
pushd %{buildroot}%{_sharedstatedir}/unbound
  KEYPATH=$(realpath --relative-to="%{buildroot}%{_sharedstatedir}/unbound" "%{buildroot}%{_sysconfdir}/unbound/dnssec-root.key")
  ln -s "$KEYPATH" root.key
popd

# remove static library from install (fedora packaging guidelines)
rm %{buildroot}%{_libdir}/*.la


%if 0%{with_python2}
rm %{buildroot}%{python2_sitearch}/*.la
%endif

%if 0%{with_python3}
rm %{buildroot}%{python3_sitearch}/*.la
%endif

mkdir -p %{buildroot}%{_rundir}/unbound

# Install directories for easier config file drop in

mkdir -p %{buildroot}%{_sysconfdir}/unbound/{keys.d,conf.d,local.d}
install -p %{SOURCE9} %{buildroot}%{_sysconfdir}/unbound/keys.d/
install -p %{SOURCE10} %{buildroot}%{_sysconfdir}/unbound/conf.d/
install -p %{SOURCE11} %{buildroot}%{_sysconfdir}/unbound/local.d/

# Link unbound-control-setup.8 manpage to unbound-control.8
echo ".so man8/unbound-control.8" > %{buildroot}/%{_mandir}/man8/unbound-control-setup.8


%pre libs
%sysusers_create_compat %{SOURCE20}

%post
%systemd_post unbound.service
%systemd_post unbound-keygen.service

%post anchor
%systemd_post unbound-anchor.service unbound-anchor.timer
# start the timer only if installing the package to prevent starting it, if it was stopped on purpose
if [ "$1" -eq 1 ]; then
    # the Unit is in presets, but would be started after reboot
    /bin/systemctl start unbound-anchor.timer >/dev/null 2>&1 || :
fi

%preun
%systemd_preun unbound.service
%systemd_preun unbound-keygen.service

%preun anchor
%systemd_preun unbound-anchor.service unbound-anchor.timer

%postun
%systemd_postun_with_restart unbound.service
%systemd_postun unbound-keygen.service

%postun anchor
%systemd_postun_with_restart unbound-anchor.service unbound-anchor.timer

%check
pushd %{dir_primary}
#pushd pythonmod
#make test
#popd

make check

popd

%if 0%{?python_secondary:1}
pushd %{dir_secondary}
#pushd pythonmod
#make test
#popd
make check
popd
%endif


%files
%doc doc/CREDITS doc/FEATURES
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}-keygen.service
%attr(0755,unbound,unbound) %dir %{_rundir}/%{name}
%attr(0644,root,root) %{_tmpfilesdir}/unbound.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/unbound.conf
%dir %attr(0755,root,unbound) %{_sysconfdir}/%{name}/keys.d
%attr(0644,root,unbound) %config(noreplace) %{_sysconfdir}/%{name}/keys.d/*.key
%dir %attr(0755,root,unbound) %{_sysconfdir}/%{name}/conf.d
%attr(0644,root,unbound) %config(noreplace) %{_sysconfdir}/%{name}/conf.d/*.conf
%dir %attr(0755,root,unbound) %{_sysconfdir}/%{name}/local.d
%attr(0644,root,unbound) %config(noreplace) %{_sysconfdir}/%{name}/local.d/*.conf
%ghost %attr(0640,root,unbound) %{_sysconfdir}/%{name}/unbound_control.pem
%ghost %attr(0640,root,unbound) %{_sysconfdir}/%{name}/unbound_control.key
%ghost %attr(0640,root,unbound) %{_sysconfdir}/%{name}/unbound_server.pem
%ghost %attr(0640,root,unbound) %{_sysconfdir}/%{name}/unbound_server.key
%{_sbindir}/unbound
%{_sbindir}/unbound-checkconf
%{_sbindir}/unbound-control
%{_sbindir}/unbound-control-setup
%{_mandir}/man5/*
%exclude %{_mandir}/man8/unbound-anchor*
%{_mandir}/man8/*

%if 0%{with_python2}
%files -n python2-unbound
%license pythonmod/LICENSE
%{python2_sitearch}/*
%doc libunbound/python/examples/*
%doc pythonmod/examples/*
%endif

%if 0%{with_python3}
%files -n python3-unbound
%license pythonmod/LICENSE
%{python3_sitearch}/*
%doc libunbound/python/examples/*
%doc pythonmod/examples/*
%endif

%if 0%{with_munin}
%files munin
%doc unbound-munin.README
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/unbound
%{_datadir}/munin/plugins/unbound*
%endif

%files devel
%{_libdir}/libunbound.so
%{_includedir}/unbound.h
%{_includedir}/unbound-event.h
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc

%files libs
%doc doc/README
%license doc/LICENSE
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}
%{_sysusersdir}/%{name}.sysusers
%{_libdir}/libunbound.so.8*
%dir %attr(0755,unbound,unbound) %{_sharedstatedir}/%{name}
%verify(not size mtime filedigest link mode user group) %{_sharedstatedir}/%{name}/root.key
# just left for backwards compat with user changed unbound.conf files - format is different!
%attr(0644,root,root) %config %{_sysconfdir}/%{name}/root.key
%attr(0644,root,root) %config %{_sysconfdir}/%{name}/dnssec-root.key

%files anchor
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/unbound-anchor
%{_mandir}/man8/unbound-anchor*
# icannbundle and root.key(s) should be replaced from package
# intentionally not using noreplace
%config %{_sysconfdir}/%{name}/icannbundle.pem
%{_unitdir}/unbound-anchor.timer
%{_unitdir}/unbound-anchor.service

%files utils
%{_sbindir}/unbound-host
%{_sbindir}/unbound-streamtcp
%{_mandir}/man1/unbound-*

%changelog
* Wed Oct 11 2023 Paul Wouters <paul.wouters@aiven.io> - 1.18.0-4
- Fix for resolving outlook.com via forwarders
- See https://github.com/NLnetLabs/unbound/issues/946
- Use autochangelog macro

* Tue Sep 26 2023 Petr Menšík <pemensik@redhat.com> - 1.18.0-3
- Correct dependencies on creating the unbound user

* Wed Sep 06 2023 Petr Menšík <pemensik@redhat.com> - 1.18.0-2
- Skip failing tests on ELN builds

* Fri Sep 01 2023 Petr Menšík <pemensik@redhat.com> - 1.18.0-1
- Update to 1.18.0

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.17.1-6
- Rebuilt for Python 3.12

* Fri Apr 07 2023 Chloe Kudryavtsev <code@toast.bunkerlabs.net> - 1.17.1-5
- fix building with redis

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 14 2023 Paul Wouters <paul.wouters@aiven.io> - 1.17.1-3
- clarify gpgverify a bit to make it look less magical

* Sat Jan 14 2023 Paul Wouters <paul.wouters@aiven.io> - 1.17.1-2
- update sources

* Sat Jan 14 2023 Paul Wouters <paul.wouters@aiven.io> - 1.17.1-1
- update to 1.17.1
- Resolved rhbz#2160397 unbound-1.17.1 is available (bugfix release)
- Add support for building with redis
- update unbound.conf

* Mon Jan 02 2023 Petr Menšík <pemensik@redhat.com> - 1.17.0-5
- Use static dnssec-root.key with link from lib

* Mon Jan 02 2023 Petr Menšík <pemensik@redhat.com> - 1.17.0-4
- Use systemd-sysusers for user creation (#2105416)

* Mon Jan 02 2023 Petr Menšík <pemensik@redhat.com> - 1.17.0-3
- Move unbound user creation to libs (#2149036)

* Thu Dec 08 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 1.17.0-2
- Disable SHA-1 support in ELN

* Tue Nov 01 2022 Petr Menšík <pemensik@redhat.com> - 1.17.0-1
- Update to 1.17.0 (#2134348)

* Tue Oct 11 2022 Petr Menšík <pemensik@redhat.com> - 1.16.3-3
- Correct issues made by unbound-anchor package split

* Fri Sep 30 2022 Petr Menšík <pemensik@redhat.com> - 1.16.3-2
- Update License tag to SPDX identifier

* Fri Sep 23 2022 Petr Menšík <pemensik@redhat.com> - 1.16.3-1
- Update to 1.16.3

* Tue Aug 09 2022 Paul Wouters <paul.wouters@aiven.io> - 1.16.2-4
- pull in new options of upstream unbound.conf and enable EDE (RFC8914)

* Tue Aug 09 2022 Paul Wouters <paul.wouters@aiven.io> - 1.16.2-3
- fix changelog entry

* Tue Aug 09 2022 Petr Menšík <pemensik@redhat.com> - 1.16.2-2
- Require openssl tool for unbound-keygen (#2116790)

* Wed Aug 03 2022 Petr Menšík <pemensik@redhat.com> - 1.16.2-1
- Update to 0.16.2 (#2105947)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Petr Menšík <pemensik@redhat.com> - 1.16.0-5
- Move host and streamtcp utilities to separate package

* Mon Jun 27 2022 Petr Menšík <pemensik@redhat.com> - 1.16.0-4
- Move unbound-anchor to separate package

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.16.0-3
- Rebuilt for Python 3.11

* Tue Jun 07 2022 Petr Menšík <pemensik@redhat.com> - 1.16.0-2
- Do not keep keygen running, check certs each time

* Sat Jun 04 2022 Petr Menšík <pemensik@redhat.com> - 1.16.0-1
- Update to 1.16.0

* Tue Apr 26 2022 Petr Menšík <pemensik@redhat.com> - 1.15.0-6
- Stop creating wrong devel manual pages

* Wed Apr 20 2022 Petr Sklenar <psklenar@redhat.com> - 1.15.0-5
- Adding fmf plan

* Wed Apr 20 2022 Petr Menšík <pemensik@redhat.com> - 1.15.0-4
- Add lint exceptions to avoid errors on updates

* Wed Apr 20 2022 Petr Menšík <pemensik@redhat.com> - 1.15.0-3
- Update icann bundle, fix spec errors

* Tue Mar 29 2022 Petr Menšík <pemensik@redhat.com> - 1.15.0-2
- Import few changes to configuration

* Tue Mar 29 2022 Petr Menšík <pemensik@redhat.com> - 1.15.0-1
- Update to 1.15.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 06 2021 Adrian Reber <adrian@lisas.de> - 1.13.2-4
- Rebuilt for protobuf 3.19.0

* Mon Oct 25 2021 Adrian Reber <adrian@lisas.de> - 1.13.2-3
- Rebuilt for protobuf 3.18.1

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.13.2-2
- Rebuilt with OpenSSL 3.0.0

* Thu Aug 12 2021 Paul Wouters <paul.wouters@aiven.io> - 1.13.2-1
- Resolves: rhbz#1992985 unbound-1.13.2 is available - Use system-wide
  crypto policies

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Petr Menšík <pemensik@redhat.com> - 1.13.1-9
- Update source signer's key link

* Wed Jun 02 2021 Python Maint <python-maint@redhat.com> - 1.13.1-8
- Rebuilt for Python 3.10

* Sat Apr 24 2021 Artem Egorenkov <aegorenk@redhat.com> - 1.13.1-7
- Option --enable-linux-ip-local-port-range added to use system configured
  port range for libunbound on Linux

* Tue Apr 13 2021 Paul Wouters <pwouters@redhat.com> - 1.13.1-6
- Fix unbound.service to use After=network-online.target

* Wed Apr 07 2021 Artem Egorenkov <aegorenk@redhat.com> - 1.13.1-5
- DISABLE_UNBOUND_ANCHOR == "yes" disable unbound-anchor on unbound.service
  startup

* Tue Mar 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.13.1-4
- Rebuilt for updated systemd-rpm-macros

* Tue Feb 16 2021 Victor Stinner <vstinner@python.org> - 1.13.1-3
- Fix build on Python 3.10

* Wed Feb 10 2021 Paul Wouters <pwouters@redhat.com> - 1.13.1-2
- add gpg sig

* Wed Feb 10 2021 Paul Wouters <pwouters@redhat.com> - 1.13.1-1
- Resolves rhbz#1860887 unbound-1.13.1 is available - Fixup unbound.conf

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 10 2020 Petr Menšík <pemensik@redhat.com> - 1.13.0-2
- Update default configuration from 1.13.0

* Thu Dec 10 2020 Petr Menšík <pemensik@redhat.com> - 1.13.0-1
- Update to 1.13.0

* Tue Nov 10 2020 Petr Menšík <pemensik@redhat.com> - 1.12.0-5
- Build on EPEL without signature check

* Tue Nov 10 2020 Petr Menšík <pemensik@redhat.com> - 1.12.0-4
- Enable DNSTAP

* Tue Nov 10 2020 Petr Menšík <pemensik@redhat.com> - 1.12.0-3
- Enable DNS over HTTPS

* Tue Nov 10 2020 Petr Menšík <pemensik@redhat.com> - 1.12.0-2
- Update config file to 1.12.0

* Tue Nov 10 2020 Petr Menšík <pemensik@redhat.com> - 1.12.0-1
- Update to 1.12.0
- DNS flag day 2020 applied
- DNS over HTTPS support
- EDNS client tag support

* Fri Sep 18 2020 Anna Khaitovich <akhaitov@redhat.com> - 1.10.1-8
- Revert "Rebuilt for rawhide"

* Fri Sep 18 2020 Anna Khaitovich <akhaitov@redhat.com> - 1.10.1-7
- Rebuilt for rawhide

* Tue Sep 15 2020 Petr Menšík <pemensik@redhat.com> - 1.10.1-6
- Rebuilt for libevent rebase

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 14 2020 Tom Stellard <tstellar@redhat.com> - 1.10.1-4
- Use make macros

* Fri May 22 2020 Miro Hrončok <miro@hroncok.cz> - 1.10.1-3
- Rebuilt for Python 3.9

* Tue May 19 2020 Paul Wouters <pwouters@redhat.com> - 1.10.1-2
- update sources for sig file

* Tue May 19 2020 Paul Wouters <pwouters@redhat.com> - 1.10.1-1
- * Tue May 19 2020 Paul Wouters <pwouters@redhat.com> - 1.10.1-1 -
  Resolves: rhbz#1837279 unbound-1.10.1 is available - Resolves:
  rhbz#1837598 CVE-2020-12662 unbound: insufficient control of network
  message volume leads to DoS - Resolves: rhbz#1837609 CVE-2020-12663
  unbound: infinite loop via malformed DNS answers received from upstream
  servers - Updated unbound.conf for new options in 1.10.1

* Wed Apr 29 2020 Paul Wouters <pwouters@redhat.com> - 1.10.0-6
- Resolves: rhbz#1667742 SELinux is preventing unbound from 'name_bind'
  accesses on the udp_socket port 61000.

* Thu Apr 16 2020 Artem Egorenkov <aegorenk@redhat.com> - 1.10.0-5
- Upstream isue linked for patch

* Thu Apr 16 2020 Artem Egorenkov <aegorenk@redhat.com> - 1.10.0-4
- bz1824536. Crash on termination fixed.

* Fri Mar 20 2020 Petr Menšík <pemensik@redhat.com> - 1.10.0-3
- Add dnstap and systemd option build support

* Thu Mar 19 2020 Petr Menšík <pemensik@redhat.com> - 1.10.0-2
- Add source signature verification

* Thu Mar 19 2020 Petr Menšík <pemensik@redhat.com> - 1.10.0-1
- Update to 1.10.0 (#1805199)

* Thu Mar 19 2020 Petr Menšík <pemensik@redhat.com> - 1.9.6-3
- Use autopatch for new patches

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 13 2019 Paul Wouters <pwouters@redhat.com> - 1.9.6-1
- * Fri Dec 13 2019 Paul Wouters <pwouters@redhat.com> - 1.9.6-1 -
  Resolves: rhbz#1758107 unbound-1.9.5 is available - Resolves:
  CVE-2019-18934

* Fri Nov 01 2019 Paul Wouters <pwouters@redhat.com> - 1.9.4-1
- * Fri Nov 01 2019 Paul Wouters <pwouters@redhat.com> - 1.9.4-1 - Fix
  build on rhel/centos systems - Resolves: rhbz#1767955 (CVE-2019-16866)
  uninitialized memory accesses leads to crash via a crafted NOTIFY query

* Thu Sep 26 2019 Petr Menšík <pihhan@gmail.com> - 1.9.3-3
- Make obsoleted package removed without asking

* Thu Sep 26 2019 Petr Menšík <pihhan@gmail.com> - 1.9.3-2
- Obsolete no longer provided python2 subpackage (#1749400)

* Tue Aug 27 2019 Paul Wouters <pwouters@redhat.com> - 1.9.3-1
- * Tue Aug 27 2019 Paul Wouters <pwouters@redhat.com> - 1.9.3-1 - Updated
  to 1.9.3 - Resolves: rhbz#1672578 unbound-1.9.2 is available - Resolves:
  rhbz#1694831 [/usr/lib/tmpfiles.d/unbound.conf:1] Line references path
  below legacy directory /var/run/ - Resolves: rhbz# 1667387 [abrt]
  unbound: memmove(): unbound killed by SIGABRT

* Thu Aug 22 2019 Miro Hrončok <miro@hroncok.cz> - 1.8.3-10
- Subpackage python2-unbound has been removed

* Thu Aug 15 2019 Miro Hrončok <miro@hroncok.cz> - 1.8.3-9
- Rebuilt for Python 3.8

* Mon Aug 05 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.3-8
- Drop trailing comments afer %%endif

* Mon Aug 05 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.3-7
- Remove very old trigger

* Mon Aug 05 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8.3-6
- Drop build-time and install-time requirements on systemd

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jan 11 2019 Paul Wouters <pwouters@redhat.com> - 1.8.3-3
- Remove KSK-2010 from configs - it has been revoked

* Fri Jan 11 2019 Paul Wouters <pwouters@redhat.com> - 1.8.3-2
- Another dns64 fixup

* Wed Dec 12 2018 Paul Wouters <pwouters@redhat.com> - 1.8.3-1
- Updated to 1.8.3 with fixes the dns64 bug and has some other minor fixes

* Mon Dec 10 2018 Paul Wouters <pwouters@redhat.com> - 1.8.2-3
- Fix dns64 allocation in wrong region for returned internal queries.

* Tue Dec 04 2018 Paul Wouters <pwouters@redhat.com> - 1.8.2-2
- new sources

* Tue Dec 04 2018 Paul Wouters <pwouters@redhat.com> - 1.8.2-1
- * Tue Dec 04 2018 Paul Wouters <pwouters@redhat.com> - 1.8.2-1 - Updated
  to 1.8.2. - Enabled deny ANY query support and edns-tcp-keepalive - Set
  serve-stale timeout to 4h - Updated unbound.conf for latest options

* Mon Oct 22 2018 Petr Menšík <pemensik@redhat.com> - 1.8.1-2
- Allow group by default to unbound-control (#1640259)

* Mon Oct 08 2018 Petr Menšík <pemensik@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Mon Oct 01 2018 Petr Menšík <pemensik@redhat.com> - 1.8.0-3
- Fix #4188: IPv6 forwarders without ipv6 result in SERVFAIL, fixes qname
  minimisation with a forwarder when connectivity has issues from rejecting
  responses.

* Wed Sep 19 2018 Petr Menšík <pemensik@redhat.com> - 1.8.0-2
- Reset release and add changelog

* Mon Sep 17 2018 Petr Menšík <pemensik@redhat.com> - 1.8.0-1
- Rebase to 1.8.0

* Wed Aug 15 2018 Paul Wouters <pwouters@redhat.com> - 1.7.3-13
- Ensure if even one of the required files is missing, to restart the
  keyservice

* Tue Aug 14 2018 Paul Wouters <pwouters@redhat.com> - 1.7.3-12
- Fix for restarting unbound service after deleting key/pem files for
  remote control

* Tue Aug 14 2018 Paul Wouters <pwouters@redhat.com> - 1.7.3-11
- Ensure keygen service is restart as part of the unbound service restart

* Tue Jul 31 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-10
- Release memory in unbound-host

* Mon Jul 30 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-9
- Remove unused patches from repo

* Mon Jul 23 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-8
- Remove unused Group tag

* Wed Jul 18 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-7
- Cleanup generated client and server keys (#1601773)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-5
- Do not call ldconfig if possible - Use systemd macros also for library

* Wed Jul 04 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-4
- Prefer local resolvers over direct root access. Enables successful trust
  anchor updates also when no direct queries are available, but local
  resolvers support dnssec. Fixes bug #1598078

* Mon Jul 02 2018 Miro Hrončok <miro@hroncok.cz> - 1.7.3-3
- Rebuilt for Python 3.7

* Wed Jun 27 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-2
- Update sources to 1.7.3

* Wed Jun 27 2018 Petr Menšík <pemensik@redhat.com> - 1.7.3-1
- Update to 1.7.3 (#1593708)

* Wed Jun 27 2018 Petr Menšík <pemensik@redhat.com> - 1.7.2-4
- Remove last python2 dependency from python3 build

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 1.7.2-3
- Rebuilt for Python 3.7

* Mon Jun 11 2018 Paul Wouters <pwouters@redhat.com> - 1.7.2-2
- add unbound-1.7.2-stub-fwd-ttl.patch

* Mon Jun 11 2018 Paul Wouters <pwouters@redhat.com> - 1.7.2-1
- * Mon Jun 11 2018 Paul Wouters <pwouters@redhat.com> - 1.7.2-1 - Resolves
  rhbz#1589807 unbound-1.7.2 is available - Add patch to fix stub/forward
  zone not returning ServFail when TTL expires - Enabled the new root-key-
  sentinel option

* Wed May 30 2018 Petr Menšík <pemensik@redhat.com> - 1.7.1-1
- Update to 1.7.1 (#1574495)

* Mon Apr 09 2018 Petr Menšík <pemensik@redhat.com> - 1.7.0-8
- Fix disabled python versions in non-Fedora builds

* Mon Apr 09 2018 Petr Menšík <pemensik@redhat.com> - 1.7.0-7
- Make primary python3 version, but install it last

* Mon Apr 09 2018 Petr Menšík <pemensik@redhat.com> - 1.7.0-6
- Simplify building with single python version

* Mon Apr 09 2018 Petr Menšík <pemensik@redhat.com> - 1.7.0-5
- Require gcc and make on build Remove group, simplify systemd requires

* Mon Apr 09 2018 Paul Wouters <pwouters@redhat.com> - 1.7.0-4
- * Mon Apr 09 2018 Paul Wouters <pwouters@redhat.com> - 1.7.0-4 - Patch
  for prefetching after flushing cache

* Fri Apr 06 2018 Paul Wouters <pwouters@redhat.com> - 1.7.0-3
- * Fri Apr 06 2018 Paul Wouters <pwouters@redhat.com> - 1.7.0-3 - Patch
  for referral with auth-zone: response

* Wed Mar 21 2018 Paul Wouters <pwouters@redhat.com> - 1.7.0-2
- Patch for broken Aggressive NSEC + stub-zone configuration causing
  NXDOMAIN at TTL expiry

* Thu Mar 15 2018 Paul Wouters <pwouters@redhat.com> - 1.7.0-1
- * Thu Mar 15 2018 Paul Wouters <pwouters@redhat.com> - 1.7.0-1 - Updated
  to 1.7.0 (aggressive nsec, local root support, bugfixes)

* Thu Feb 22 2018 Petr Menšík <pemensik@redhat.com> - 1.6.8-8
- Revert "Improve config formatting"

* Wed Feb 21 2018 Petr Menšík <pemensik@redhat.com> - 1.6.8-7
- Bump the spec instead, previous is already built

* Wed Feb 21 2018 Petr Menšík <pemensik@redhat.com> - 1.6.8-6
- Use default RPM build flags and configure parameters (#1539097)

* Wed Feb 21 2018 Petr Menšík <pemensik@redhat.com> - 1.6.8-5
- Improve config formatting

* Wed Feb 21 2018 Petr Menšík <pemensik@redhat.com> - 1.6.8-4
- Remove group write permission to installed examples

* Wed Feb 14 2018 Filipe Rosset <rosset.filipe@gmail.com> - 1.6.8-3
- rebuilt due new libevent 2.1.8

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.8-2
- Escape macros in %%changelog

* Mon Jan 22 2018 Paul Wouters <pwouters@redhat.com> - 1.6.8-1
- * Mon Jan 22 2018 Paul Wouters <pwouters@redhat.com> - 1.6.8-1 - Resolves
  rhbz#1483572 unbound-1.6.8 is available - Resolves rhbz#1507049
  CVE-2017-15105 unbound: Improper validation of wildcard synthesized NSEC
  records - Resolves rhbz#1536518 CVE-2017-15105 unbound: Improper
  validation of wildcard synthesized NSEC records [fedora-all]

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.7-2
- Python 2 binary package renamed to python2-unbound

* Thu Oct 12 2017 Paul Wouters <pwouters@redhat.com> - 1.6.7-1
- Updated to 1.6.7 (minor bugfixes)

* Tue Oct 03 2017 Petr Menšík <pemensik@redhat.com> - 1.6.6-3
- Update icannbundle.pem

* Mon Oct 02 2017 Paul Wouters <pwouters@redhat.com> - 1.6.6-2
- Enable RFC 8145 Trust Anchor Signaling to help the root zone get keytag
  statistics

* Fri Sep 22 2017 Paul Wouters <pwouters@redhat.com> - 1.6.6-1
- * Fri Sep 22 2017 Paul Wouters <pwouters@redhat.com> - 1.6.6-1 -
  Resolves: rhbz#1483572 unbound-1.6.6 is available - Resolves:
  rhbz#1465575 unbound fails to start up, complains about missing ipsecmod-
  hook (edit)

* Wed Sep 06 2017 genodeftest <a.fp.o@genodeftest.de> - 1.6.4-8
- Update upstream URL and use HTTPS where possible

* Wed Aug 16 2017 Paul Wouters <pwouters@redhat.com> - 1.6.4-7
- * Wed Aug 16 2017 Paul Wouters <pwouters@redhat.com> - 1.6.4-4 - Rebuilt
  with KSK2017 added to root.key and root.anchor - Remove noreplace for
  root key files. We can only improve these files over local copies

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-6
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 02 2017 Paul Wouters <pwouters@redhat.com> - 1.6.4-4
- added unbound-1.6.4-ipsechook-check.patch

* Sun Jul 02 2017 Paul Wouters <pwouters@redhat.com> - 1.6.4-3
- * Sun Jul 02 2017 Paul Wouters <pwouters@redhat.com> - 1.6.4-1 - Updated
  to 1.6.4 full release, patch to allow missing ipsechook - Resolves
  rhbz#1465575 unbound fails to start up, complains about missing ipsecmod-
  hook

* Thu Jun 22 2017 Paul Wouters <pwouters@redhat.com> - 1.6.4-2
- newsources

* Thu Jun 22 2017 Paul Wouters <pwouters@redhat.com> - 1.6.4-1
- Update to 1.6.4 (esubnet, ipsecmod support, bugfixes)

* Thu Jun 22 2017 Paul Wouters <pwouters@redhat.com> - 1.6.3-2
- update unbound.conf to 1.6.14 feature set

* Tue Jun 13 2017 Paul Wouters <pwouters@redhat.com> - 1.6.3-1
- Updated to 1.6.3 (fixes assertion failure when receiving malformed packet
  with 0x20 enabled)

* Thu Jun 08 2017 Paul Wouters <pwouters@redhat.com> - 1.6.2-2
- Patch for cmd: unbound-control set_option val-permissive-mode: yes

* Thu Apr 27 2017 Paul Wouters <pwouters@redhat.com> - 1.6.2-1
- * Wed Apr 26 2017 Paul Wouters <pwouters@redhat.com> - 1.6.2-1 - Update
  to 1.6.2 (rhbz#1425649) - Updated unbound.conf with new options

* Wed Mar 22 2017 Paul Wouters <pwouters@redhat.com> - 1.6.0-8
- only call install once doing both actions

* Wed Mar 22 2017 Paul Wouters <pwouters@redhat.com> - 1.6.0-7
- Call make unbound-event-install to install unbound-event.h

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 18 2017 Paul Wouters <pwouters@redhat.com> - 1.6.0-5
- fixup dlv/root key install

* Wed Jan 18 2017 Paul Wouters <pwouters@redhat.com> - 1.6.0-4
- Remove obsoleted DLV key

* Mon Jan 02 2017 Paul Wouters <pwouters@redhat.com> - 1.6.0-3
- Actually remove dependency because minimum is always satisfied (and
  otherwise we need a %%{isa} requirement)

* Mon Jan 02 2017 Paul Wouters <pwouters@redhat.com> - 1.6.0-2
- Depend on openssl-libs, not opensl

* Wed Dec 21 2016 Kevin Fenzi <kevin@scrye.com> - 1.6.0-1
- Update to 1.6.0

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 1.5.10-4
- Rebuild for Python 3.6

* Fri Nov 04 2016 Paul Wouters <pwouters@redhat.com> - 1.5.10-3
- * Wed Oct 26 2016 Ilya Evseev <evseev.i@cdnnow.ru> - 1.5.10-2 - Bugfix
  building without python2 and python3 - Fixup streamtcp build (Paul)

* Tue Sep 27 2016 Paul Wouters <pwouters@redhat.com> - 1.5.10-2
- new sources

* Tue Sep 27 2016 Paul Wouters <pwouters@redhat.com> - 1.5.10-1
- * Tue Sep 27 2016 Paul Wouters <pwouters@redhat.com> - 1.5.10-1 - Updated
  to 1.5.10 (better TCP handling, bugfixes) - Install pkgconfig file in
  -devel package - Updated unbound.conf

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.9-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Jul 07 2016 Paul Wouters <pwouters@redhat.com> - 1.5.9-3
- Fix upper port range to 60999 because that's what selinux allows

* Thu Jun 16 2016 Paul Wouters <pwouters@redhat.com> - 1.5.9-2
- Patch for allowing more queries before failure (needed for query
  minimalization)

* Mon Jun 13 2016 Paul Wouters <pwouters@redhat.com> - 1.5.9-1
- Updated to 1.5.9

* Thu Apr 21 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.5.8-3
- Fix streamtcp to link against libpython3.x instead of libpython2.x

* Wed Mar 02 2016 Paul Wouters <pwouters@redhat.com> - 1.5.8-2
- update changelog line

* Wed Mar 02 2016 Paul Wouters <pwouters@redhat.com> - 1.5.8-1
- * Wed Mar 02 2016 Paul Wouters <pwouters@redhat.com> - 1.5.8-1 - Update
  to 1.5.8 which incorporates rhbz#1294339 fix - Updated unbound.conf with
  new upstream options - Enabled ip-transparent: yes (see rhbz#1291449)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 21 2016 Tomas Hozza <thozza@redhat.com> - 1.5.7-3
- Fix escaping of shell chars in unbound-control-setup (#1294339)

* Thu Jan 21 2016 Tomas Hozza <thozza@redhat.com> - 1.5.7-2
- Merged some lines from the latest upstream configuration version

* Fri Dec 11 2015 Paul Wouters <pwouters@redhat.com> - 1.5.7-1
- * Fri Dec 11 2015 Paul Wouters <pwouters@redhat.com> - 1.5.7-1 - Update
  to 1.5.7 - Enable query minimalization for enhanced DNS query privacy -
  Enable nxdomain hardening to assist with query minimalization and SBLs -
  Updated default unbound.conf for new features from upstream.

* Fri Nov 13 2015 Tomas Hozza <thozza@redhat.com> - 1.5.6-1
- Update to 1.5.6 (#1176729)

* Wed Nov 04 2015 Robert Kuska <rkuska@redhat.com> - 1.5.5-2
- Rebuilt for Python3.5 rebuild

* Wed Oct 07 2015 Tomas Hozza <thozza@redhat.com> - 1.5.5-1
- New upstream release 1.5.5 (#1269137)
- Removed the anchor update from %%post section of -libs subpackage
  (#1269137#c2)

* Wed Sep 23 2015 Paul Wouters <pwouters@redhat.com> - 1.5.4-8
- fix commented address range in unbound.conf

* Tue Sep 15 2015 Tomas Hozza <thozza@redhat.com> - 1.5.4-7
- Removed dependency and ordering on unbound-anchor.service in
  unbound.service

* Thu Sep 03 2015 Tomas Hozza <thozza@redhat.com> - 1.5.4-6
- Prefer Python3 build over Python2 build for now (#1254566)

* Mon Jul 20 2015 Tomas Hozza <thozza@redhat.com> - 1.5.4-5
- Removed After syslog.target since it is not needed any more

* Mon Jul 20 2015 Tomas Hozza <thozza@redhat.com> - 1.5.4-4
- Added ExecReload section to unbound.service (#1195785)

* Thu Jul 16 2015 Tomas Hozza <thozza@redhat.com> - 1.5.4-3
- Rename root.anchor to root.key in %%post section

* Thu Jul 16 2015 Tomas Hozza <thozza@redhat.com> - 1.5.4-2
- Start unbound-anchor.timer only on new installations

* Tue Jul 14 2015 Paul Wouters <pwouters@redhat.com> - 1.5.4-1
- * Tue Jul 14 2015 Paul Wouters <pwouters@redhat.com> - 1.5.4-1 - Update
  to 1.5.4 - Removed patches merged into upstream

* Tue Jun 16 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-14
- Revert: Use low maximum negative cache TTL (5 sec)

* Tue Jun 16 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-13
- Revert "Use low maximum negative cache TTL (5 sec) (#1229596)"

* Mon Jun 15 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-12
- Use low maximum negative cache TTL (5 sec) (#1229596)

* Mon Jun 15 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-11
- Add new options from upstream example.conf to default unbound.conf
  (commented out)

* Mon Jun 15 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-10
- Add option for maximum negative cache TTL (#1229599)

* Tue May 26 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-9
- Removed usage of DLV from the default configuration (#1223363)

* Wed May 13 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-8
- unbound.service now Wants unbound-anchor.timer
- unbound-anchor man page moved to the unbound-libs

* Mon May 11 2015 Paul Wouters <pwouters@redhat.com> - 1.5.3-7
- Fixup scriptlets causing systemctl: command not found - Resolves
  rhbz#1219587 Error in PREIN scriptlet in rpm package unbound-libs

* Mon Apr 27 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-6
- migrate cronjob to systemd timer unit (#1177285)
- change the period for unbound-anchor from monthly to daily (#1180267)
- Thanks to Tomasz Torcz <ttorcz@fedoraproject.org> for the initial patch

* Thu Apr 16 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-5
- Add patches to the repo

* Thu Apr 16 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-4
- Fix FTBFS and build Python 2 and 3 bindings
- Fix FTBFS (#1206129)
- Build python3-unbound and python-unbound bindings for Python 3 and 2
  (#1188080)

* Mon Apr 13 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-3
- Fix install command when creating directories

* Mon Apr 13 2015 Tomas Hozza <thozza@redhat.com> - 1.5.3-2
- Remove unused patch

* Mon Mar 16 2015 Paul Wouters <pwouters@redhat.com> - 1.5.3-1
- * Mon Mar 16 2015 Paul Wouters <pwouters@redhat.com> - 1.5.3-1 - Updated
  to 1.5.3 which is a bugfix on 1.5.2 for sighup handling - Updated to
  1.5.2 which fixes DNSSEC validation with different trust anchors
  upstream, local-zone has a new keyword 'inform'

* Mon Feb 02 2015 Paul Wouters <pwouters@redhat.com> - 1.5.1-8
- Build with --enable-ecdsa

* Sun Feb 01 2015 Paul Wouters <pwouters@redhat.com> - 1.5.1-7
- Fix post to create root.anchor, not root.key, to match cron job

* Wed Dec 10 2014 Paul Wouters <pwouters@redhat.com> - 1.5.1-6
- fixup tmpfiles copying

* Tue Dec 09 2014 Paul Wouters <pwouters@redhat.com> - 1.5.1-5
- bump master with updated changes

* Tue Dec 09 2014 Paul Wouters <pwouters@redhat.com> - 1.5.1-4
- Change systemd-units to systemd - Use _tmpfilesdir macro, don't mark
  tmpfiles as config

* Tue Dec 09 2014 Paul Wouters <pwouters@redhat.com> - 1.5.1-3
- add CVE rhbz to changelog

* Tue Dec 09 2014 Paul Wouters <pwouters@redhat.com> - 1.5.1-2
- Update to 1.5.1 for CVE-2014-8602 - Removed unbound-aarch64.patch which
  was merged upstream

* Fri Nov 28 2014 Tomas Hozza <thozza@redhat.com> - 1.5.1-1
- update to 1.5.1rc1

* Fri Nov 28 2014 Peter Robinson <pbrobinson@gmail.com> - 1.5.0-3
- fix build on aarch64

* Wed Nov 26 2014 Tomas Hozza <thozza@redhat.com> - 1.5.0-2
- Fix race condition in arc4random (#1166878)

* Wed Nov 19 2014 Tomas Hozza <thozza@redhat.com> - 1.5.0-1
- update to 1.5.0

* Wed Sep 24 2014 Pavel Šimerda <psimerda@redhat.com> - 1.4.22-10
- add missing part of the python 3.x patch

* Wed Sep 24 2014 Pavel Šimerda <psimerda@redhat.com> - 1.4.22-9
- Resolves: #1115489 - build with python 3.x for fedora >= 22

* Fri Sep 19 2014 Pavel Šimerda <psimerda@redhat.com> - 1.4.22-8
- Revert "new version 1.4.22"

* Thu Sep 18 2014 Pavel Šimerda <psimerda@redhat.com> - 1.4.22-7
- new version 1.4.22

* Thu Aug 21 2014 Kevin Fenzi <kevin@scrye.com> - 1.4.22-6
- Rebuild for rpm bug 1131960

* Mon Aug 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.4.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 1.4.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Paul Wouters <pwouters@redhat.com> - 1.4.22-3
- * Thu May 01 2014 Paul Wouters <pwouters@redhat.com> - 1.4.22-2 - Added
  flushcache patch (SVN commit 3125)

* Fri Mar 14 2014 Paul Wouters <pwouters@redhat.com> - 1.4.22-2
- RPMAUTOSPEC: unresolvable merge
